翻訳に使えるエンジンがありません

Moses Skodaエンジニア読了目安 1分

APIはこの問題を403 Forbiddenで返します。typeはhttps://lingo.dev/docs/api/errors/no-translatable-engineです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。

組織<organizationId>のどのエンジンでも翻訳できないため、ご自身のローカライズジョブでは、その組織のアーティファクトを使用できません。組織の管理者に「engine:translate」権限の付与、またはエンジンへのアクセスを依頼してください。

フィールド#

レスポンス本文には、標準のtype、status、title、detailメンバーに加えて、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
organizationIdstring

例#

json
{
  "detail": "You cannot translate with any engine of organization <organizationId>, so no localization job of yours could use an artifact there. Ask an organization admin for the 'engine:translate' permission or for access to an engine.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/no-translatable-engine",
  "status": 403,
  "title": "No engine to translate with"
}

このエラーを返すエンドポイント#

  • PUT /v2/organizations/{orgId}/localization/artifacts/{address}